curl --request GET \
--url https://api.meshqu.com/v1/policies/{id}/decisions \
--header 'Authorization: Bearer <token>' \
--header 'X-MeshQu-Tenant-Id: <api-key>'import requests
url = "https://api.meshqu.com/v1/policies/{id}/decisions"
headers = {
"Authorization": "Bearer <token>",
"X-MeshQu-Tenant-Id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-MeshQu-Tenant-Id': '<api-key>'}
};
fetch('https://api.meshqu.com/v1/policies/{id}/decisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"idempotency_key": "<string>",
"decision_type": "<string>",
"decision": "ALLOW",
"context": {
"decision_type": "<string>",
"fields": {},
"evidence": [
{
"kind": "<string>",
"ref": "<string>",
"hash": "<string>",
"data": {}
}
],
"metadata": {
"actor_id": "<string>",
"correlation_id": "<string>",
"ip_address": "<string>",
"user_agent": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"source_artifact": {
"type": "PDF",
"hash": "<string>",
"hash_algorithm": "SHA-256",
"reference_id": "<string>",
"filename": "<string>",
"byte_size": 1
}
},
"result": {
"decision": "ALLOW",
"violations": [
{
"rule_code": "<string>",
"severity": "low",
"reason": "<string>",
"reason_code": "FIELD_MISSING",
"field": "<string>",
"actual_value": "<unknown>",
"expected_value": "<unknown>",
"details": {},
"policy_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_shadow": true
}
],
"rules_evaluated": 123,
"evaluation_time_ms": 123,
"timestamp": "2023-11-07T05:31:56Z",
"policy_snapshot_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"evaluated_rules_hash": "<string>",
"integrity_hash": "<string>",
"transparency_anchor": {
"provider": "<string>",
"entry_uuid": "<string>",
"log_index": 123,
"inclusion_proof": {
"hashes": [
"<string>"
],
"log_index": 123,
"root_hash": "<string>",
"tree_size": 123
},
"anchored_at": "2023-11-07T05:31:56Z",
"rekor_public_url": "<string>"
},
"action": {
"type": "<string>",
"reference_id": "<string>",
"metadata": {}
},
"rules_na": 123,
"na_rules": [
{
"rule_code": "<string>",
"when": "<unknown>",
"reason": "<string>"
}
],
"signature": "<string>",
"signature_kid": "<string>",
"signature_algorithm": "<string>",
"receipt_schema_version": 1,
"policy_snapshot_digest": "<string>",
"evidence_manifest_digest": "<string>",
"shadow_converted": true,
"original_decision": "ALLOW"
},
"policy_snapshot_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"correlation_id": "<string>",
"chain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chain_step": 123,
"parent_decision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chain_integrity_hash": "<string>",
"chain_signature": "<string>",
"chain_signature_kid": "<string>",
"chain_signature_algorithm": "<string>",
"recorded_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"governance_source": {
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_name": "<string>",
"level": 1
},
"policy_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"policy_group_code": "<string>",
"policy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"name": "<string>",
"version": 123
},
"evaluated_policies": [
{
"policy_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"policy_code": "<string>",
"policy_name": "<string>",
"version": 123,
"shadow_mode": true,
"policy_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"policy_group_code": "<string>",
"rules": [
{
"code": "<string>",
"name": "<string>",
"when": "<unknown>"
}
],
"regulatory_refs": [
"<string>"
]
}
],
"actor": {
"id": "<string>",
"type": "human",
"role": "<string>",
"authority": "<string>",
"display_name": "<string>"
}
}
],
"next_cursor": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"correlation_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"correlation_id": "<string>"
}List decisions for a policy
Cursor-paginated decision log for a single policy. Supports rule / type / date / version filters. If ?version is omitted, defaults to the active version — matching the “this version” default in the console Evidence tab.
Authorizations
MeshQu API key passed as a bearer token: Authorization: Bearer mqu_…. Mint one in the console (Settings → API keys).
Tenant UUID for multi-tenant isolation. Required on all authenticated routes — validated before authentication (middleware/tenant.ts), so a missing or non-UUID header returns 400 (MISSING_TENANT_ID / INVALID_TENANT_ID) before the API key is checked.
Path Parameters
Query Parameters
Filter to decisions whose violations include this rule code
100Decision outcome
ALLOW Lower bound on recorded_at
Upper bound on recorded_at
Filter to decisions recorded under this policy version (defaults to the active version when omitted — matches the "this version" UI default)
x >= 1Opaque cursor returned by the previous page. Omit for the first page.
500Items per page (default 50, max 200)
1 <= x <= 200